<?php

namespace App\Form\Input;

class Select_ContractType extends \Engine\Form\Input\Select
{

	/**
	 * (non-PHPdoc)
	 * @see \Engine\Form\Input\Select::determinePossibleValues()
	 */
	protected function determinePossibleValues()
	{

		$CFG = \Engine\Loader_Cfg::getInstance()->getGlobal();
		$_LANG = \App\Loader_Lang::getInstance()->getGlobal();

		$return = [];
		foreach ($CFG['generalData']['contractTypes'] as $cntrType) {
			$return[$cntrType] = $_LANG['generalData']['contractTypes'][$cntrType];
		}

		return $return;
	}

}